Subject: Re: [bug#69859] [PATCH rust-team] gnu: Adds rust-pcap version 1.3, 0.11, and 0.10

From: Efraim Flashner <[email-masked]>
Date: Tue, 19 Mar 2024 12:45:55 +0200

On Sun, Mar 17, 2024 at 11:59:17AM -0400, Aaron Covrig wrote:
> * gnu/packages/crates-io.scm (rust-pcap-1): New variable
> * gnu/packages/crates-io.scm (rust-pcap-0.11): New variable
> * gnu/packages/crates-io.scm (rust-pcap-0.10): New variable
> * gnu/packages/crates-io.scm (rust-gat-std-0.1): New variable
> * gnu/packages/crates-io.scm (rust-gat-std-proc-0.1): New variable
> * gnu/packages/crates-io.scm (rust-etherparse-0.14): New variable
> * gnu/packages/crates-io.scm (rust-etherparse-0.9): New variable
> * gnu/packages/crates-io.scm (rust-eui48-1): New variable
> * gnu/packages/crates-io.scm (rust-tun-tap-0.1): New variable
> * gnu/packages/patches/rust-mockall-restore-examples-and-tests.patch:
>   New file (provides tests and examples rust-mockall)
> * gnu/packages/crates-io.scm (rust-mockall-0.12): New variable
> * gnu/packages/crates-io.scm (rust-mockall-derive-0.12): New variable
> * gnu/packages/crates-io.scm (rust-mockall-0.11): Bumps to 0.11.4
> * gnu/packages/crates-io.scm (rust-mockall-derive-0.11): Bumps to 0.11.4
> * gnu/packages/crates-io.scm (rust-mockall-double-0.3): Bumps to 0.3.1
> * gnu/packages/crates-io.scm (rust-fragile-2): New variable
> * gnu/packages/crates-io.scm (rust-fragile-1): Bumps to 1.2.2
> * gnu/packages/crates-io.scm (rust-slab-0.4): Bumps to 0.4.9
> ---
>  gnu/packages/crates-io.scm                    |  453 +-
>  ...t-mockall-restore-examples-and-tests.patch | 7611 +++++++++++++++++
>  2 files changed, 7976 insertions(+), 88 deletions(-)
>  create mode 100644 gnu/packages/patches/rust-mockall-restore-examples-and-tests.patch

I want to thank you for all your work on these patches and on the other
ones too. Unfortunately with some of these ones I had already done a
bunch of them on the rust-team branch which I've finally pushed back
upstream.

Also, in order to keep with the standard practices of Guix each commit
should only have 1 change at a time, in this case adding or updating a
package. If you can split them into individual patches I'll be happy to
apply them.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted